      REAL FUNCTION  SECOND (DUMMY)
C     (Second)
C     Return the current CPU time in floating-point seconds.
C     (06-Apr-1992)
C#if _AIX
C##      REAL DUMMY
C##      INTEGER RCODE
C##      DOUBLE PRECISION  MUSEC
C##      CALL CPUTIME (MUSEC,RCODE)
C##      SECOND = SNGL(MUSEC * 1.0D-06)
C#elif _HPPA
C##      REAL DUMMY
C##      DOUBLE PRECISION ETIME
C##      DOUBLE PRECISION  TARRAY(2)
C##      SECOND = ETIME(TARRAY)
C#elif _HPUX
C##      DOUBLE PRECISION HZ
C##      INTEGER IBUF(4)
C##C
C##C     NB: HZ must match value in <sys/param.h>, and differs from
C##C     system to system.
C##C
C##      DATA HZ / 100.0D0 /
C##C
C##      CALL TIMES(IBUF)
C##C
C##C     Ignore child times, just add own user and system times
C##C
C##      SECOND = IBUF(1) + IBUF(2)
C##      SECOND = SECOND/HZ
C#else
C
C     BSD 4.3 UNIX...
C
      REAL DUMMY, ETIME
      DOUBLE PRECISION  TARRAY(2)
      SECOND = ETIME(TARRAY)
C#endif
      RETURN
      END
